package com.community.huiju.service.impl;
import com.alibaba.fastjson.JSONObject;
import com.community.commom.mode.ResponseBean;
import com.community.huiju.common.hk.HKConstant;
import com.community.huiju.common.hk.HKOpenApi;
import com.community.huiju.service.IMonitoringService;
import com.google.common.collect.Maps;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.Map;

/**
 * 监控 业务实现
 * @author weixmei
 */
@Service("iMonitoringService")
@Slf4j
public class MonitoringServiceImpl implements IMonitoringService {

    @Override
    public ResponseBean getByCommunityId(Integer communityId) {

        // TODO 数据是假数据, 后期在更改. 需要根据小区查询 组织中心编号

        ResponseBean response = new ResponseBean();
        Map<String,Object> parMap = Maps.newHashMap();
        parMap.put("pageNo",1);
        parMap.put("pageSize",100);
        parMap.put("opUserUuid",HKConstant.OP_USER_UUID);
        parMap.put("unitUuids","1048576");

        String result = HKOpenApi.getMonitoryPoint(parMap);
        Map<String, Object> map = JSONObject.parseObject(result,HashMap.class);
        response.addSuccess(map);

        return response;
    }
}
